[Pkg-xfce-devel] Bug#631573: Bug#631573: plasma-widgets-workspace: Forces removal of xfce4-notifyd

Yves-Alexis Perez corsac at debian.org
Sat Jun 25 16:02:29 UTC 2011

On sam., 2011-06-25 at 06:05 -0400, Bob Hauck wrote:
> On 06/25/2011 04:44 AM, Yves-Alexis Perez wrote:
> > On sam., 2011-06-25 at 02:42 +0200, Sune Vuorela wrote:
> >> reassign 631573 xfce4-notifyd
> >> thanks
> >>
> >> On Saturday 25 June 2011 01:11:02 Bob Hauck wrote:
> >>> Package: plasma-widgets-workspace
> >>> Version: 4:4.6.4-1
> >>> Severity: normal
> >>>
> >>> This package provides notification-daemon.  So does xfce4-notifyd.  The
> >>> problem is that this package does not work in xfce4.  So there is no way
> >>> to get any on-screen notifications in xfce4 if you also have kde
> >>> installed.
> > I don't get it. You *want* plasma-widgets-workspace under Xfce (I don't
> > really think it would work, but maybe) or you just want notifications?
> I want to install both kde and xfce on my system and have notifications 
> working in both.  With the latest updates to kde in sid, updating kde 
> forces me to uninstall xfce4-notifyd.  And since 
> plasma-widgets-workspace does not work under xfce, I get no 
> notifications in xfce.

Then one solution is to fix plasma-widget-workspace to work under Xfce.
I assume that means not using xfdesktop4 and running the whole plasmoids
stuff but Sune would know better than me.
> This did not happen with earlier versions of kde in sid.  It started 
> with the update to kde 4.6.4.  Prior to that I had both DE's installed 
> with no problems.  So on the surface this would appear to be a kde 
> problem, which is why I originally filed the bug there.

> I did try to re-install xfce4-notifyd after updating kde.  But apt wants 
> to un-install important parts of kde, such as plasma-desktop, so that's 
> not a solution.  It is not surprising though since 
> plasma-widgets-workspace is a dependency of plasma-desktop.

I don't know anything about KDE dependencies but I'd find that weird to
have a hard dependency on a notification daemon. On the other hand you
can remove xfce4-notifyd, it'll remove xfce4-goodies but it's just a
metapackage so it's safe.
> >> plasma-widgets-workspace provides the interfaces as specified by the so-called
> >> 'galago-spec', so I don't see anything wrong with having plasma-widgets-
> >> workspace provide it.
> >>
> >> On the other hand, having xfce4-notifyd conflict with it is something else ...
> > Afair there's an issue with having multiple notification daemons
> > installed at once since they ship the same dbus service file. It might
> > have changed though, I'll try to look at this

xfce4-notifyd provides/conflicts with notification-daemon package
because they both
ship /usr/share/dbus-1/services/org.freedesktop.Notifications.service.
Is there a reason why plasma-widgets-workspace does it? Because
apparently it doesn't ship that dbus service anyway.

I think the whole problem lies there.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: This is a digitally signed message part
URL: <http://lists.alioth.debian.org/pipermail/pkg-xfce-devel/attachments/20110625/5d3e339a/attachment.pgp>

More information about the Pkg-xfce-devel mailing list